## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# less_no_case_ascii_wide_string Struct Reference

This functor is designed to compare 0-terminated wide strings in a case-insensitive manner. More...

List of all members.

## Public Member Functions

- result_type operator() (first_argument_type theLHS, second_argument_type theRHS) const
    Compare the values of two objects.

## Detailed Description

This functor is designed to compare 0-terminated wide strings in a case-insensitive manner.

It substitutes for the default less<type*> so that the contents of wide strings can be compared, rather than just the pointers.

## Member Function Documentation

result_type less_no_case_ascii_wide_string::operator() | ( | first_argument_type | theLHS,
|  | second_argument_type | theRHS
| ) | const

  | Compare the values of two objects. Parameters:
  theLHS | first object to compare
  theRHS | second object to compare
Returns: true if objects are the same

The documentation for this struct was generated from the following file:

- DOMStringHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.